// Desc: A respawn selection dialog
// By: Dr Eyeball
//-----------------------------------------------------------------------------
// SPWN_ is the unique prefix associated with all unique classes for this dialog.

//-----------------------------------------------------------------------------
// Constants, IDD's & IDC's
//-----------------------------------------------------------------------------
// These 4 constants (x,y,w,h) can be modified freely. Their range is 0.0 to 1.0
#define SPWN_X 0.20 // recommended range 0.00-0.20
#define SPWN_Y 0.30 // recommended range 0.00-0.30
#define SPWN_W 0.90 // recommended range 0.60-1.00
#define SPWN_H 0.70 // recommended range 0.40-1.00
//-----------------------------------------------------------------------------
#define SPWN_IDD_RespawnDialog 389

#define SPWN_IDC_RespawnList 891
#define SPWN_IDC_RespawnMap 892
#define SPWN_IDC_AcceptButton 893
#define SPWN_IDC_Countdown 894

#define SPWN_LIST_WIDTH (SPWN_W*0.35)
#define SPWN_MAP_WIDTH (SPWN_W*0.35)
#define SPWN_GAPW 0.0075
#define SPWN_GAPH 0.01
//-----------------------------------------------------------------------------
// Personalisation - Custom modifications to the standard control classes
//-----------------------------------------------------------------------------

class SPWN_Button: RscShortcutButton
{
  x = 1*Dlg_COLWIDTH;
  y = 0.1;
  w = 0.1;
  //h = 1.5*Dlg_CONTROLHGT;
};

class SPWN_BaselineButton: SPWN_Button
{
  w = 0.15;
  y = SPWN_Y+SPWN_H-SPWN_GAPH*2-Dlg_CONTROLHGT;// last row
};

class SPWN_CaptionText: Dlg_Caption
{
  moving = true;
  //style = ST_HUD_BACKGROUND;
};

class SPWN_Group: Dlg_GroupBox
{
  moving = true;
  //style = ST_LEFT;
  //style = ST_HUD_BACKGROUND;
};

//-----------------------------------------------------------------------------
// Main dialog
//-----------------------------------------------------------------------------
class SPWN_RespawnDialog
{
  idd = SPWN_IDD_RespawnDialog;

  movingEnable = true;
  controlsBackground[] = {SPWN_Background, SPWN_Frame};

  class SPWN_Background: Dlg_FullBackground
  {
    //style = ST_HUD_BACKGROUND;
    x = SPWN_X;
    y = SPWN_Y;
    w = SPWN_W;
    h = SPWN_H;
  };

  class SPWN_Frame: Dlg_WindowCaption
  {
    moving = true;
    //style = ST_HUD_BACKGROUND;
    //style = ST_LEFT;
    text = " Respawn Location Selection ";
    x = SPWN_X;
    y = SPWN_Y;
    w = SPWN_W;
  };

  //---------------------------------------------
  objects[] = 
  { 
  };
  
  controls[] = 
  {
    SPWN_RespawnListGroup,
    SPWN_RespawnListCaption,
    SPWN_RespawnListBG,
    SPWN_RespawnList,

    SPWN_RespawnMapGroup,
    SPWN_RespawnMapCaption,
    SPWN_RespawnMap,
    
    SPWN_Instructions,
    SPWN_AcceptButton
  };
  //---------------------------------------------
  // captions
  class SPWN_RespawnListGroup: SPWN_Group
  {
    x = SPWN_X+SPWN_GAPW;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH;
    w = SPWN_LIST_WIDTH;
    h = SPWN_H-Dlg_CONTROLHGT-SPWN_GAPH*2;
  };
  class SPWN_RespawnListCaption: SPWN_CaptionText
  {
    idc = SPWN_IDC_Countdown;
    x = SPWN_X+SPWN_GAPW;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH;
    w = SPWN_LIST_WIDTH;
    text = "Locations";
  };
  class SPWN_RespawnMapGroup: SPWN_Group
  {
    x = SPWN_X+SPWN_LIST_WIDTH+SPWN_GAPW*2;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH;
    w	= SPWN_W-SPWN_LIST_WIDTH-SPWN_GAPW*3;
    h = SPWN_H-Dlg_CONTROLHGT-SPWN_GAPH*2;
  };
  class SPWN_RespawnMapCaption: SPWN_CaptionText
  {
    x = SPWN_X+SPWN_LIST_WIDTH+SPWN_GAPW*2;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH;
    w	= SPWN_W-SPWN_LIST_WIDTH-SPWN_GAPW*3;
    text = "Map";
  };
  //---------------------------------------------
  // Controls
  class SPWN_RespawnListBG: Dlg_BG
  { 
    x = SPWN_X+SPWN_GAPW*2;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH+Dlg_CONTROLHGT+SPWN_GAPH;
    w = SPWN_LIST_WIDTH-SPWN_GAPW*2;
    h = SPWN_H-Dlg_CONTROLHGT*4-SPWN_GAPH*6;
  };
  class SPWN_RespawnList: RscListBox
  { 
    idc = SPWN_IDC_RespawnList;
    x = SPWN_X+SPWN_GAPW*2;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH+Dlg_CONTROLHGT+SPWN_GAPH;
    w = SPWN_LIST_WIDTH-SPWN_GAPW*2;
    h = SPWN_H-Dlg_CONTROLHGT*4-SPWN_GAPH*6;
  };
  class SPWN_RespawnMap: RscMapControl
  {
    idc = SPWN_IDC_RespawnMap;
    x = SPWN_X+SPWN_LIST_WIDTH+SPWN_GAPW*3;
    y = SPWN_Y+Dlg_CONTROLHGT+SPWN_GAPH+Dlg_CONTROLHGT+SPWN_GAPH;
  	w	= SPWN_W-SPWN_LIST_WIDTH-SPWN_GAPW*5;
  	h = SPWN_H-Dlg_CONTROLHGT*2-SPWN_GAPH*4;
  };
  //---------------------------------------------
  class SPWN_Instructions: Dlg_WindowCaption
  {
    x = SPWN_X+SPWN_GAPW*2;
    y = SPWN_Y+SPWN_H-SPWN_GAPH*3-Dlg_CONTROLHGT*2;// 2nd last row
    w = SPWN_LIST_WIDTH-SPWN_GAPW*2;
    text = "Select from list or click on map.";
  };
  // buttons
  class SPWN_AcceptButton: SPWN_BaselineButton
  {
  	idc = SPWN_IDC_AcceptButton;
  	x = SPWN_X+SPWN_LIST_WIDTH-0.15;
  	text = "Ok";
  	action = "[] call SPWN_AcceptButton";
    default = false;
  };
  //---------------------------------------------
};
